/// <reference types="vite/client" />
/// <reference types="vue/macros-global" />

declare module "*.vue" {
  import { DefineComponent } from "vue";
  // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/ban-types
  const component: DefineComponent<{}, {}, any>;
  export default component;
}

interface ImportMetaEnv {
  readonly VITE_FE_VERSION: string;
  readonly VITE_BUILD_DATE: string;
  readonly VITE_GIT_REPO_VERSION: string;
}

interface ImportMeta {
  readonly env: ImportMetaEnv;
}
